﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using BabyShop.Site.Models;
using BabyShop.Site.Services;
using BabyShop.Site.ViewModels;

namespace BabyShop.Site.Areas.SysManage.Controllers
{
    public class ActionController : BaseController
    {
        private readonly ActionService _actionService = new ActionService();

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Create()
        {
            return View(new Actions {ActionGuid = Guid.Empty});
        }

        [HttpPost]
        public ActionResult ActionList(JqGridViewModel jqGridViewModel)
        {
            string[] searchCols = new[]
                                      {
                                          "ActionGuid", "ActionName", "ControllerName", "AreaName",
                                          "ParentProductType.ProductTypeName",
                                          "CommonColumns.LastModified", "CommonColumns.IsDelete"
                                      };
            return Json(_actionService.GetJqGridSearchResult(jqGridViewModel, searchCols));
        }
    }
}
