﻿using System.Web.Mvc;
using BabyShop.Site.Exts.ModelBinders;

namespace BabyShop.Site.Areas.SysManage
{
    public class SysManageAreaRegistration : AreaRegistration
    {
        public override string AreaName {
            get {
                return "SysManage";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context) {
            context.MapRoute(
                "SysManage_default",
                "SysManage/{controller}/{action}/{id}",
                new { action = "Index", controller = "Admin", id = UrlParameter.Optional },
                new[] { "BabyShop.Site.Areas.SysManage.Controllers" }
            );
        }
    }
}
