﻿using System.Collections.Generic;
using System.Linq;
using BabyShop.Site.Exts.Extensions;

namespace BabyShop.Site.Data.Conventions.Combines
{
    public class OrCombineConvention : IExpressionCombineConvention
    {
        public int Order { get; set; }
        public System.Linq.Expressions.Expression Combine(IDictionary<string, System.Linq.Expressions.Expression> expressions)
        {
            return expressions.Count > 0 ? expressions.Values.Aggregate((a, e) => a.OrElse(e)) : null;
        }
    }
}