﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;

namespace BabyShop.Site.Models
{
    [Table("Roles")]
    public class Role
    {
        [Key]
        public Guid RoleGuid { get; set; }

        [Required]
        [MaxLength(10)]
        public string RoleName { get; set; }

        public CommonColumns CommonColumns { get; set; }
    }
}
