﻿using System;
using System.Web.Mvc;
using BabyShop.WebSite.Exts.Attributes;
using BabyShop.WebSite.Foundation;
using BabyShop.WebSite.Models;

namespace BabyShop.WebSite.Controllers
{
    [UserHandleError]
    [UserAuthorize]
    public class BaseController : Controller
    {
        protected PersistentDataContainer CurrentStore
        {
            get { return PersistentDataContainer.Current; }
        }

        protected User CurrentUser {
            get {
                return new User { Account = "admin", UserGuid = new Guid("DD11FBDD-8781-4156-AE78-DED569A6F52F") };//CurrentStore.Read<User>("CurrentUser"); 
            }
        }
    }
}
