﻿using System;
using System.Web.Mvc;
using BabyShop.WebSite.Services;

namespace BabyShop.WebSite.Controllers
{ 
    public class ProductTypeController : BaseController
    {
        private readonly ProductTypeService _productTypeService = new ProductTypeService();
        private readonly EnumServices _enumServices = new EnumServices();

        public ActionResult Category(Guid keyGuid)
        {
            var productType = _productTypeService.GetProductTypeByGuid(keyGuid);
            return View(productType);
        }

        public ActionResult SubCategory(Guid keyGuid)
        {
            var productType = _productTypeService.GetProductTypeByGuid(keyGuid);
            return View(productType);
        }

        public ActionResult Products(Guid keyGuid)
        {
            var productType = _productTypeService.GetProductTypeByGuid(keyGuid);
            return View(productType);
        }
    }
}