﻿using System.Data.Entity;
using BabyShop.WebSite.Models;

namespace BabyShop.WebSite.Data
{
    public class AppDbServices : DbContext
    {
        public DbSet<User> Users { get; set; }
        public DbSet<Role> Roles { get; set; }
        public DbSet<Permission> Permissions { get; set; }
        public DbSet<Actions> Actions { get; set; }
        public DbSet<ProductType> ProductTypes { get; set; }
        public DbSet<Product> Products { get; set; }
        public DbSet<SerialNumber> SerialNumbers { get; set; }

        public AppDbServices()
        {
            //Configuration.LazyLoadingEnabled = false;
        }
    }
}