using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace BabyShop.WebSite.Models
{
    [Table("Actions")]
    public class Actions
    {
        [Key]
        public Guid ActionGuid { get; set; }

        [Required(AllowEmptyStrings = false, ErrorMessage = @"Ϊ")]
        [MaxLength(50)]
        public string ActionName { get; set; }

        [Required(AllowEmptyStrings = false,ErrorMessage = @"Ϊ")]
        [MaxLength(50)]
        public string ControllerName { get; set; }

        public string AreaName { get; set; }

        public CommonColumns CommonColumns { get; set; }

        public virtual ICollection<Permission> Permissions { get; set; }
    }
}