using System;
using System.ComponentModel.DataAnnotations;

namespace BabyShop.WebSite.Models
{
    [ComplexType]
    public class CommonColumns
    {
        [Required, Column("LastModified", Order = 0)]
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public DateTime LastModified { get; set; }

        [Required]
        [Column("ModifiedBy")]
        public Guid ModifiedBy { get; set; }

        [Required]
        [Column("IsDelete")]
        public bool IsDelete { get; set; }

        public CommonColumns()
        {
            LastModified = DateTime.Now;
            IsDelete = false;
        }
    }
}