﻿using System;
using System.ComponentModel.DataAnnotations;

namespace BabyShop.WebSite.Models
{
    [Table("SerialNumbers")]
    public class SerialNumber
    {
        [Key]
        public int SerialNumberId { get; set; }

        [Required]
        [StringLength(10)]
        public string SerialNumberCode { get; set; }

        [Required]
        public DateTime SerialNumberDate { get; set; }

        [Required]
        public int CurrentNumber { get; set; }

        [Required]
        public bool IsInvalid { get; set; }

        [Required]
        public Guid ModifiedBy { get; set; }

        /*[ForeignKey("ModifiedBy")]
        public virtual User ModifiedUser { get; set; }*/
    }
}