using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace BabyShop.Site.Models
{
    [Table("UserRoles")]
    public class UserRole
    {
        [Key]
        public int UserRoleId { get; set; }

        [Required]
        public Guid UserGuid { get; set; }

        [Required]
        public Guid RoleGuid { get; set; }

        public CommonColumns CommonColumns { get; set; }

        [ForeignKey("UserGuid")]
        public ICollection<User> Users { get; set; }

        [ForeignKey("RoleGuid")]
        public ICollection<Role> Roles { get; set; }
    }
}