﻿namespace BabyShop.WebSite.ViewModels
{
    public class JqGridViewModel
    {
        public int? Page { get; set; }
        public int Rows { get; set; }
        public string Sidx { get; set; }
        public string Sord { get; set; }
        public JqGridFilter Filters { get; set; }
        public bool _search { get; set; }
    }

    public class JqGridFilter
    {
        public string GroupOp { get; set; }
        public JqGridRule[] Rules { get; set; }
    }

    public class JqGridRule
    {
        public string Field { get; set; }
        public string Op { get; set; }
        public string Data { get; set; }
    }

    public class JqGridSeachResult
    {
        public int page { get; set; }

        public int records { get; set; }

        public int total { get; set; }

        public JqGridRow[] rows { get; set; }
    }

    public class JqGridRow
    {
        public int id { get; set; }

        public string[] cell { get; set; }
    }
}